Bug 2088528 - rust-once_cell-1.12.0 is available
Summary: rust-once_cell-1.12.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-once_cell
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-19 15:53 UTC by Upstream Release Monitoring
Modified: 2022-05-25 09:41 UTC (History)
3 users (show)

Fixed In Version: rust-once_cell-1.12.0-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-24 22:19:13 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-05-19 15:53:52 UTC
Latest upstream release: 1.11.0
Current version/release in rawhide: 1.10.0-1.fc37
URL: https://crates.io/crates/once_cell

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19212/

Comment 1 Upstream Release Monitoring 2022-05-20 15:43:37 UTC
Latest upstream release: 1.12.0-pre.1
Current version/release in rawhide: 1.10.0-1.fc37
URL: https://crates.io/crates/once_cell

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19212/

Comment 2 Upstream Release Monitoring 2022-05-23 15:02:39 UTC
Latest upstream release: 1.12.0
Current version/release in rawhide: 1.10.0-1.fc37
URL: https://crates.io/crates/once_cell

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19212/

Comment 3 Fedora Update System 2022-05-24 13:23:37 UTC
FEDORA-2022-af8ffbc6fe has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-af8ffbc6fe

Comment 4 Fabio Valentini 2022-05-24 13:39:19 UTC
@jstanek hey, it looks to me like you bungled this update.

You didn't regenerate the .spec with rust2rpm, which means the package is now missing a subpackage for the new optional parking_lot_core dependency. The version of which is also slightly too old in Fedora, which is why I didn't update this package yet ...

Comment 5 Jan Staněk 2022-05-24 14:05:23 UTC
It did not occur to me you could actually use rust2rpm to regenerate the spec - I just bumped the release version similarly to other packages. Sorry about that :(

In any case, is the new optional dependency a hard stop? Or are we fine letting it in in the next version?

Comment 6 Fabio Valentini 2022-05-24 14:17:02 UTC
(In reply to Jan Staněk from comment #5)
> It did not occur to me you could actually use rust2rpm to regenerate the
> spec - I just bumped the release version similarly to other packages. Sorry
> about that :(

That explains some weird inconsistencies that I encountered when working with once_cell and the cxx packages ...

> In any case, is the new optional dependency a hard stop? Or are we fine
> letting it in in the next version?

No, I don't think it's fine. The rawhide version is already out, but I unpushed the f36 and f35 updates.

The update for parking_lot_core will take a bit, because it will also require a new compat package for petgraph 0.5.
Just please, let me handle this, before you make it worse ...

Comment 7 Fedora Update System 2022-05-24 22:17:22 UTC
FEDORA-2022-7c4d305489 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7c4d305489

Comment 8 Fedora Update System 2022-05-24 22:19:13 UTC
FEDORA-2022-7c4d305489 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Jan Staněk 2022-05-25 09:41:54 UTC
(In reply to Fabio Valentini from comment #6)
> Just please, let me handle this, before you make it worse ...

Acknowledged. It's all yours.


Note You need to log in before you can comment on or make changes to this bug.